Page MenuHomePhabricator

“Edit visually” broken on embed.htm
Closed, ResolvedPublic5 Story Points

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2019, 2:39 PM

Change 507380 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[wikidata/query/gui@master] Don’t use _ as unused variable name

https://gerrit.wikimedia.org/r/507380

Change 507380 merged by jenkins-bot:
[wikidata/query/gui@master] Don’t use _ as unused variable name

https://gerrit.wikimedia.org/r/507380

Change 507382 had a related patch set uploaded (by WDQSGuiBuilder; owner: WDQSGuiBuilder):
[wikidata/query/gui-deploy@production] Merging from da512410d6f368cd8ba50c0482d9d818858a508c:

https://gerrit.wikimedia.org/r/507382

Change 507382 abandoned by Smalyshev:
Merging from da512410d6f368cd8ba50c0482d9d818858a508c:

Reason:
superceded

https://gerrit.wikimedia.org/r/507382

Smalyshev triaged this task as Normal priority.Apr 30 2019, 7:33 PM

Mentioned in SAL (#wikimedia-operations) [2019-04-30T19:44:53Z] <smalyshev@deploy1001> Finished deploy [wdqs/wdqs@4360316]: Redeploy GUI for fixes T222133, T222129, T222181, T222182 (duration: 09m 17s)

Lydia_Pintscher added a subscriber: Lydia_Pintscher.

I just tried it with this query and it still only shows an empty popup for me :/

That query can’t be visually edited (same result on the non-embed page as well) because it uses named subqueries (WITH syntax), which SPARQL.js can’t parse (because they’re a nonstandard Blazegraph extension). Try it with a simpler query instead.

However, when I click on the value to change it, the menu opens under the pop-up and the menu, making it not usable :( (tested on Firefox)

Michael claimed this task.May 13 2019, 3:59 PM
Restricted Application added a project: User-Michael. · View Herald TranscriptMay 13 2019, 3:59 PM

Change 509889 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[wikidata/query/gui@master] Adjust z-index to not overlay dropdown

https://gerrit.wikimedia.org/r/509889

Change 509889 merged by jenkins-bot:
[wikidata/query/gui@master] Adjust z-index to not overlay dropdown

https://gerrit.wikimedia.org/r/509889

Change 509902 had a related patch set uploaded (by WDQSGuiBuilder; owner: WDQSGuiBuilder):
[wikidata/query/gui-deploy@production] Merging from 38def4fc17168e6b0a6739239f8b53c420b2d2f8:

https://gerrit.wikimedia.org/r/509902

Change 509902 merged by Smalyshev:
[wikidata/query/gui-deploy@production] Merging from 38def4fc17168e6b0a6739239f8b53c420b2d2f8:

https://gerrit.wikimedia.org/r/509902